For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search for properties

Searches for properties based on criteria set in the request body.

post
/tenants/{tenantUid}/properties/search
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
propertyNamestringOptional
typestring · enumOptional

Describes the type of property a product can have.

ENUMDescription
TEXTA single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECTA list of values where a product can only have one at any given time.
MULTISELECTA list of values where a product can have none or several at any given time.
Possible values:
externalIdstringOptional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/properties/search
POST /v2/tenants/{tenantUid}/properties/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "propertyName": "text",
  "type": "TEXT",
  "externalId": "text"
}
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "propertyName": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "propertyUid": "text",
      "type": "TEXT",
      "externalId": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?